Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.jdbc.rowset
Class NullUpdateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.sql.SQLException
                        |
                        +--weblogic.jdbc.rowset.NullUpdateException

public class NullUpdateException
extends java.sql.SQLException

An exception thrown when no update will be issued because of metadata settings. WLCachedRowSet.acceptChanges

After calling acceptChanges, WLRowSetMetaData will be checked to decide where to write back the changes. If writeTable was set and there is no column associated with it, no changes will be written back to the data source and NullUpdateException will be thrown. In most case it is a real exception that is caused by the misconfiguration of WLRowSetMetaData. This exception helps application detect their problem earlier. Application can catch this exception and ignore it if they are aware of this case.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WLRowSetMetaData`, Serialized Form

Constructor Summary
`NullUpdateException()`

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NullUpdateException

    public NullUpdateException()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD